- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# FbxMarker Class Reference

This reference page is linked to from the following overview topics: Supported Scene Elements, FBX Node Attributes, Lights, Cameras, List of Python Fbx classes.

Search for all occurrences

## Detailed Description

This node attribute contains the properties of a marker.

A FbxMarker can represent a motion capture marker or a HIK IK/FK effector.

Examples:

  ExportScene04/main.cxx, and ImportScene/DisplayMarker.cxx.

Definition at line 29 of file fbxmarker.h.

`#include <fbxmarker.h>`

Inheritance diagram for FbxMarker:
[legend]

List of all members.

## Public Types
enum | EType { eStandard, eOptical, eEffectorFK, eEffectorIK }
| Marker types. More...
enum | ELook { eCube, eHardCross, eLightCross, eSphere, eCapsule, eBox, eBone, eCircle, eSquare, eStick, eNone }
| Marker look. More...
## Public Member Functions
virtual FbxNodeAttribute::EType | GetAttributeType () const
| Return the type of node attribute which is EType::eMarker.
void | Reset ()
| Reset the marker to default values.
void | SetType (EType pType)
| Set marker type.
EType | GetType () const
| Get marker type.
## Default Animation Values
This set of functions provides direct access to default animation values specific to a marker.The default animation values are found in the default take node of the associated node. Hence, these functions only work if the marker has been associated with a node.
double | GetDefaultOcclusion () const
| Get default occlusion.
void | SetDefaultOcclusion (double pOcclusion)
| Set default occlusion.
double | GetDefaultIKReachTranslation () const
| Get default IK reach translation.
void | SetDefaultIKReachTranslation (double pIKReachTranslation)
| Set default IK reach translation.
double | GetDefaultIKReachRotation () const
| Get default IK reach rotation.
void | SetDefaultIKReachRotation (double pIKReachRotation)
| Set default IK reach rotation.
## Obsolete functions
FbxColor & | GetDefaultColor (FbxColor &pColor) const
| Get default color.
void | SetDefaultColor (FbxColor &pColor)
| Set default color.
## Property Names
static const char * | sLook
static const char * | sDrawLink
static const char * | sSize
static const char * | sShowLabel
static const char * | sIKPivot
## Property Default Values
static const ELook | sDefaultLook
static const FbxBool | sDefaultDrawLink
static const FbxDouble | sDefaultSize
static const FbxBool | sDefaultShowLabel
static const FbxDouble3 | sDefaultIKPivot
FbxPropertyT< ELook > | Look
| This property handles the marker's look.
FbxPropertyT< FbxBool > | DrawLink
| This property handles the marker's link visibility.
FbxPropertyT< FbxDouble > | Size
| This property handles the marker's size.
FbxPropertyT< FbxBool > | ShowLabel
| This property handles the marker's label visibility.
FbxPropertyT< FbxDouble3 > | IKPivot
| This property handles the marker's pivot position.
EType | mType
FbxProperty | dynProp
FbxProperty * | GetOcclusion ()
| This method grants access to the occlusion property.
FbxProperty * | GetIKReachTranslation ()
| This method grants access to the IKReachTranslation property.
FbxProperty * | GetIKReachRotation ()
| This method grants access to the IKReachRotation property.
virtual FbxObject & | Copy (const FbxObject &pObject)
| Copy an object content into this object.
| FbxMarker (FbxManager &pManager, char const *pName)
virtual void | Construct (const FbxMarker *pFrom)
virtual bool | ConstructProperties (bool pForceSet)
void | Reset (bool pResetProperties)
virtual const char * | GetTypeName () const
| Used to retrieve the KProperty list from an attribute.
virtual FbxStringList | GetTypeFlags () const

## Member Enumeration Documentation

enum EType

Search for all occurrences

Marker types.

- eStandard
- eOptical
- eEffectorFK
- eEffectorIK

Enumerator:

  eStandard | Search for all occurrences
  eOptical | Search for all occurrences
  eEffectorFK | Search for all occurrences
  eEffectorIK | Search for all occurrences

Reimplemented from FbxNodeAttribute.

Definition at line 46 of file fbxmarker.h.

        {
            eStandard,
            eOptical,
            eEffectorFK,
            eEffectorIK
        };

enum ELook

Search for all occurrences

Marker look.

- eCube
- eHardCross
- eLightCross
- eSphere
- eCapsule
- eBox
- eBone
- eCircle
- eSquare
- eStick
- eNone

Enumerator:

  eCube | Search for all occurrences
  eHardCross | Search for all occurrences
  eLightCross | Search for all occurrences
  eSphere | Search for all occurrences
  eCapsule | Search for all occurrences
  eBox | Search for all occurrences
  eBone | Search for all occurrences
  eCircle | Search for all occurrences
  eSquare | Search for all occurrences
  eStick | Search for all occurrences
  eNone | Search for all occurrences

Definition at line 77 of file fbxmarker.h.

        {
            eCube,
            eHardCross,
            eLightCross,
            eSphere,
            eCapsule,
            eBox,
            eBone,
            eCircle,
            eSquare,
            eStick,
            eNone
        };

## Constructor & Destructor Documentation

FbxMarker | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

virtual FbxNodeAttribute::EType GetAttributeType | ( |  | ) | const `[virtual]`

Search for all occurrences

Return the type of node attribute which is EType::eMarker.

Reimplemented from FbxNodeAttribute.

void Reset | ( |  | ) |

Search for all occurrences

Reset the marker to default values.

void SetType | ( | EType | pType | ) |

Search for all occurrences

Set marker type.

Parameters:

  pType | The type of marker.

EType GetType | ( |  | ) | const

Search for all occurrences

Get marker type.

Returns:
  The type of the marker.

Examples:
  ImportScene/DisplayMarker.cxx.

double GetDefaultOcclusion | ( |  | ) | const

Search for all occurrences

Get default occlusion.

Returns:
  0.0 if optical marker animation is valid by default, 1.0 if it is occluded by default.

Remarks:
  This function only works if marker type is set to FbxMarker::eOptical.

void SetDefaultOcclusion | ( | double | pOcclusion | ) |

Search for all occurrences

Set default occlusion.

Parameters:

  pOcclusion | 0.0 if optical marker animation is valid by default, 1.0 if it is occluded by default.

Remarks:
  This function only works if marker type is set to FbxMarker::eOptical.

double GetDefaultIKReachTranslation | ( |  | ) | const

Search for all occurrences

Get default IK reach translation.

Returns:
  A value between 0.0 and 100.0, 100.0 means complete IK reach.

Remarks:
  This function only works if marker type is set to FbxMarker::eEffectorIK.

void SetDefaultIKReachTranslation | ( | double | pIKReachTranslation | ) |

Search for all occurrences

Set default IK reach translation.

Parameters:

  pIKReachTranslation | A value between 0.0 and 100.0, 100.0 means complete IK reach.

Remarks:
  This function only works if marker type is set to FbxMarker::eEffectorIK.

double GetDefaultIKReachRotation | ( |  | ) | const

Search for all occurrences

Get default IK reach rotation.

Returns:
  A value between 0.0 and 100.0, 100.0 means complete IK reach.

Remarks:
  This function only works if marker type is set to FbxMarker::eEffectorIK.

void SetDefaultIKReachRotation | ( | double | pIKReachRotation | ) |

Search for all occurrences

Set default IK reach rotation.

Parameters:

  pIKReachRotation | A value between 0.0 and 100.0, 100.0 means complete IK reach.

Remarks:
  This function only works if marker type is set to FbxMarker::eEffectorIK.

FbxColor& GetDefaultColor | ( | FbxColor & | pColor | ) | const

Search for all occurrences

Get default color.

Parameters:

  pColor | Filled with appropriate data

Returns:
  Input parameter filled with appropriate data.

Remarks:
  Marker color can not be animated anymore.

void SetDefaultColor | ( | FbxColor & | pColor | ) |

Search for all occurrences

Set default color.

Parameters:

  pColor | The marker color to be set.

Remarks:
  Marker color can not be animated anymore.

FbxProperty* GetOcclusion | ( |  | ) |

Search for all occurrences

This method grants access to the occlusion property.

Remarks:
  If the marker is not of type Optical or the property is invalid, return NULL

FbxProperty* GetIKReachTranslation | ( |  | ) |

Search for all occurrences

This method grants access to the IKReachTranslation property.

Remarks:
  If the marker is not of type IK Effector or the property is invalid, return NULL

FbxProperty* GetIKReachRotation | ( |  | ) |

Search for all occurrences

This method grants access to the IKReachRotation property.

Remarks:
  If the marker is not of type IK Effector or the property is invalid, return NULL

virtual FbxObject& Copy | ( | const FbxObject & | pObject | ) | `[virtual]`

Search for all occurrences

Copy an object content into this object.

Parameters:

  pObject | The source object to copy data from.

Returns:
  Returns the destination object being modified by the source.

Remarks:
  This function replace the assignment operator (operator=). It will copy all property values and the name. Connections are NOT copied.

Reimplemented from FbxObject.

virtual void Construct | ( | const FbxMarker * | pFrom | ) | `[protected, virtual]`

Search for all occurrences

virtual bool ConstructProperties | ( | bool | pForceSet | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxNodeAttribute.

void Reset | ( | bool | pResetProperties | ) | `[protected]`

Search for all occurrences

virtual const char* GetTypeName | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Used to retrieve the KProperty list from an attribute.

Reimplemented from FbxObject.

virtual FbxStringList GetTypeFlags | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxObject.

## Member Data Documentation

const char* sLook `[static]`

Search for all occurrences

Definition at line 163 of file fbxmarker.h.

const char* sDrawLink `[static]`

Search for all occurrences

Definition at line 164 of file fbxmarker.h.

const char* sSize `[static]`

Search for all occurrences

Definition at line 165 of file fbxmarker.h.

const char* sShowLabel `[static]`

Search for all occurrences

Definition at line 166 of file fbxmarker.h.

const char* sIKPivot `[static]`

Search for all occurrences

Definition at line 167 of file fbxmarker.h.

const ELook sDefaultLook `[static]`

Search for all occurrences

Definition at line 172 of file fbxmarker.h.

const FbxBool sDefaultDrawLink `[static]`

Search for all occurrences

Definition at line 173 of file fbxmarker.h.

const FbxDouble sDefaultSize `[static]`

Search for all occurrences

Definition at line 174 of file fbxmarker.h.

const FbxBool sDefaultShowLabel `[static]`

Search for all occurrences

Definition at line 175 of file fbxmarker.h.

const FbxDouble3 sDefaultIKPivot `[static]`

Search for all occurrences

Definition at line 176 of file fbxmarker.h.

FbxPropertyT<ELook> Look

Search for all occurrences

This property handles the marker's look.

To access this property do: Look.Get(). To set this property do: Look.Set(ELook).

Default value is eCube

Examples:
  ImportScene/DisplayMarker.cxx.

Definition at line 191 of file fbxmarker.h.

FbxPropertyT<FbxBool> DrawLink

Search for all occurrences

This property handles the marker's link visibility.

To access this property do: DrawLink.Get(). To set this property do: DrawLink.Set(FbxBool).

Default value is false

Definition at line 200 of file fbxmarker.h.

FbxPropertyT<FbxDouble> Size

Search for all occurrences

This property handles the marker's size.

To access this property do: Size.Get(). To set this property do: Size.Set(FbxDouble).

Default value is 100

Examples:
  ImportScene/DisplayMarker.cxx.

Definition at line 209 of file fbxmarker.h.

FbxPropertyT<FbxBool> ShowLabel

Search for all occurrences

This property handles the marker's label visibility.

To access this property do: ShowLabel.Get(). To set this property do: ShowLabel.Set(FbxBool).

Default value is false

Definition at line 218 of file fbxmarker.h.

FbxPropertyT<FbxDouble3> IKPivot

Search for all occurrences

This property handles the marker's pivot position.

To access this property do: IKPivot.Get(). To set this property do: IKPivot.Set(FbxDouble3).

Default value is (0., 0., 0.)

Examples:
  ImportScene/DisplayMarker.cxx.

Definition at line 227 of file fbxmarker.h.

EType mType `[protected]`

Search for all occurrences

Definition at line 275 of file fbxmarker.h.

FbxProperty dynProp `[protected]`

Search for all occurrences

Definition at line 277 of file fbxmarker.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/geometry/fbxmarker.h

FbxMarker FbxMarker FbxMarker FbxMarker FbxMarker FbxMarker FbxMarker FbxMarker FbxMarker FbxMarker
FbxMarker FbxMarker FbxMarker FbxMarker FbxMarker FbxMarker FbxMarker FbxMarker FbxMarker FbxMarker